import { athenaConfig, athenaConfigOptions } from '../../global/athena-config.js';

/**
 * Show/Hide Load Prev Button
 */
function showPrevBtn() {
    if(athenaConfig.InfiniteScrollStatus) {
        if(athenaConfigOptions.currentPage !== 1) {
            if(athenaConfigOptions.currentPage <= athenaConfigOptions.lastPage) {
                athenaConfigOptions.loadPrevContainer?.classList.remove('hide-btn');
            }
        } else {
            athenaConfigOptions.loadPrevContainer?.classList.add('hide-btn');
        }
    }
}

//Exporting all Functions
export {
    showPrevBtn
}